Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.compiler.xml.processes
Class TypeHandler

    java.lang.Object
      org.drools.core.xml.BaseAbstractHandler
          org.jbpm.compiler.xml.processes.TypeHandler

All Implemented Interfaces:
  org.drools.core.xml.Handler

    public class TypeHandler

extends org.drools.core.xml.BaseAbstractHandler
implements org.drools.core.xml.Handler

Field Summary

Fields inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, validParents, validPeers`

Constructor Summary
`TypeHandler()`

Method Summary
`Object` | `end(String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
`Class<?>` | `generateNodeFor()`
`Object` | `start(String uri, String localName, Attributes attrs, org.drools.core.xml.ExtensibleXmlParser parser)`

Methods inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.core.xml.Handler
`allowNesting, getValidParents, getValidPeers`

Constructor Detail

### TypeHandler

    public TypeHandler()

Method Detail

### start

    public Object start(String uri,
                        String localName,
                        Attributes attrs,
                        org.drools.core.xml.ExtensibleXmlParser parser)
                 throws SAXException

  Specified by:
    `start` in interface `org.drools.core.xml.Handler`
  Throws:
    `SAXException`

### end

    public Object end(String uri,
                      String localName,
                      org.drools.core.xml.ExtensibleXmlParser parser)
               throws SAXException

  Specified by:
    `end` in interface `org.drools.core.xml.Handler`
  Throws:
    `SAXException`

### generateNodeFor

    public Class<?> generateNodeFor()

  Specified by:
    `generateNodeFor` in interface `org.drools.core.xml.Handler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.